%global fontname monofett
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140913hg


Name:          %{fontname}-fonts
Version:       1.000
Release:       0.9.%{alphatag}%{?dist}
Summary:       Monofett font released by Vernon Adams
License:       OFL
URL:           https://www.google.com/fonts/specimen/Monofett
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/monofett/src/Monofett.sfd
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/monofett/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Monofett started as designs for custom mountain bike branding. As a font it is
designed to be a bold, eye catching decal-like display face with a sense of an
edgy but technical function.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
fontforge -lang=ff -script "-" *.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt *.pdf


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.9.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.8.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.7.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.6.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.5.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-0.4.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.3.20140913hg
- Correct the SOURCEs URLs
- Correct the prep section

* Tue Sep 09 2014 Julien Enselme <jujens@jujens.eu> - 1.000-2.41528389c445hg
- Correct version.
- Remove files macro.

* Wed Sep 03 2014 Julien Enselme <jujens@jujens.eu> - 1.000-1.41528389c445hg
- Initial packaging.
